<?php
require'fun.php';
require'f_conectare.php';
conectare('joaca spanzuratoarea','joaca-spanzuratoarea');
$titlu='Joaca spanzuratoarea';
if($is_pc>1)
$head[0].='.spanzu a:hover{color:#9d0606;font-size:14px;text-shadow:0 0 5px #777}';
$back[1]='<a href="/jocuri">'.img('jocuri.gif',1).'Jocuri</a>';
if($_SERVER['REQUEST_URI']!='/joaca-spanzuratoarea')
$back[2]='<a href="/joaca-spanzuratoarea">Spânzurătoarea</a>';
require'f_sus.php';
echo$div[4].img('jocuri.gif',1).'Joaca spanzuratoarea'.$div[5];
if($cid=='')
{
echo$div[10].'Alege o categorie'.$div[0];
$categorii=$conn->query('SELECT`id`,`nume`FROM`anagrame_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
echo$div[1].'<a href="/joaca-spanzuratoarea/categorie/'.$categorie[0].'-'.seo($categorie[1]).'">'.htmlspecialchars($categorie[1]).'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`anagrame_cuvinte`WHERE`cid`="'.$categorie[0].'"')->fetch_row()[0]).'</strong>'.$div[0];
}
require'f_jos.php';
}
$cinfo=$conn->query('SELECT`id`,`nume`FROM`anagrame_categorii`WHERE`id`="'.$cid.'"')->fetch_row();
if($cinfo[0]<1)
{
echo$div[7].'Aceasta categorie nu a fost găsită!<br />Probabil a fost ștearsă!'.$div[0];
require'f_jos.php';
}
$cuvant=$conn->query('SELECT`id`,`cuvant`FROM`anagrame_cuvinte`WHERE`cid`="'.$cid.'"'.(isset($_SESSION['cuvant_spanzuratoarea'])?'&&`id`="'.$_SESSION['cuvant_spanzuratoarea'].'"':'ORDER BY RAND()').'LIMIT 1')->fetch_row();
if($cuvant[0]<1)
{
unset($_SESSION['cuvant_spanzuratoarea']);
echo$div[7].'Cuvântul ales nu a fost găsit în această categorie!<br />Probabil ai schimbat categoria fără să fi finalizat cuvântul anterior, sau nu sunt cuvinte adăugate în această categorie!<br /><a href="/joaca-spanzuratoarea/categorie/'.$cid.'-'.seo($cinfo[1]).'">Reîncarcă pagina</a> pentru resetarea cuvântului!'.$div[0];
require'f_jos.php';
}
$cuvant[1]=mb_strtoupper($cuvant[1]);
if(!isset($_SESSION['cuvant_spanzuratoarea']))
$_SESSION['cuvant_spanzuratoarea']=$cuvant[0];
$caractere='ABCDEFGHIJKLMNOPQRSTUVWXYZ';
$toate_caracterele=$go.' -.,;!?%&0123456789/';
$links='';
$max=6;
$wrong=0;
$word_line='';
$done=1;
$numar_caractereX=mb_strlen($cuvant[1]);
for($x=0;$x<$numar_caractereX;$x++)
{
if(mb_strstr($toate_caracterele,$cuvant[1][$x]))
{
if($cuvant[1][$x]==' ')
$word_line.=' / ';
else
$word_line.=$cuvant[1][$x];
}
else
{
$word_line.='*';
$done=0;
}
}
if(!$done)
{
$numar_caractere=mb_strlen($caractere);
for($c=0;$c<$numar_caractere;$c++)
{
if(mb_strstr($go,$caractere[$c]))
{
if(mb_strstr($cuvant[1],$caractere[$c]))
$links.=' <strong>'.$caractere[$c].'</strong>';
else
{
$links.=' '.$caractere[$c];
$wrong++;
}
}
else
$links.=' <a href="/joaca-spanzuratoarea/categorie/'.$cid.'-'.seo($cinfo[1]).'/tip/'.$go.$caractere[$c].'">'.$caractere[$c].'</a>';
}
$nwrong=$wrong;
if($nwrong>6)
$nwrong=6;
echo$div[10].'<img src="'.$domenii_statice[($nwrong%2?1:2)].'hang_'.$nwrong.'.gif" alt="șansa '.$wrong.' din '.$max.'" />';
if($wrong>=$max)
{
unset($_SESSION['cuvant_spanzuratoarea']);
echo'<br />'.$word_line.$div[0].$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].(mb_strstr($cuvant[1],' ')?'răspunsul':'cuvântul').' era <strong>'.$cuvant[1].'</strong>, iar tu ai pierdut <strong>25</strong> de puncte joc!'.$div[0];
$conn->query('UPDATE`membrii`SET`puncte_joc`=puncte_joc-25 WHERE`id`="'.$de.'"');
}
else
echo'mai ai <strong>'.($max-$wrong).'</strong> încercări<br />'.$word_line.'<br />Alege o litera:'.$div[0].($is_pc=='1'?'':'<div class="spanzu">').$links.$div[0];
}
else
{
unset($_SESSION['cuvant_spanzuratoarea']);
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai răspuns corect, cuvantul era <strong>'.$word_line.'</strong>, și ai câștigat <strong>25</strong> de puncte joc!'.$div[0];
$conn->query('UPDATE`membrii`SET`puncte_joc`=puncte_joc+25 WHERE`id`="'.$de.'"');
}
require'f_jos.php';